git-annex-inprogress(1)

NAME
git-annex-inprogress - access files while they're being downloaded

SYNOPSIS
git annex inprogress [path ...]

DESCRIPTION
This command allows accessing the content of an annexed file while it is still being downloaded. It outputs to standard output the name of the temporary file that is being used to download the specified annexed file.

Nothing will be output when the download is from an encrypted or chunked special remote.

This can sometimes be used to stream a file before it's been fully downloaded, for example:

 git annex get video.mpeg &
 vlc $(git annex inprogress video.mpeg)

Of course if the file is downloading too slowly, the media player will reach the end too soon and not show the whole thing. And of course, only some file formats can be usefully streamed in this way.

OPTIONS

[path ..]

    The files or directories whose partially downloaded content you want to access.

    Note that, when no path is specified, it defaults to all files in the current working directory, and subdirectories, which can take a while to traverse. It's most efficient to specify a the file you are interested in, or to use --all

--all -A
    Rather than specifying a filename or path, this option can be used to access all files that are currently being downloaded.

--key=keyname
    Access the file that is currently being downloaded for the specified key.

file matching options
    The git-annex-matching-options(1) can be used to specify files to access.

Also the git-annex-common-options(1) can be used.

EXIT STATUS
If any of the requested items are not currently being downloaded, the exit status will be 1.

SEE ALSO
git-annex(1)

git-annex-get(1)

AUTHOR
Joey Hess <id@joeyh.name>